Altibase.jdbc.driver.cm

## Class CmPrepareResult

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmResult
  - - Altibase.jdbc.driver.cm.CmStatementIdResult
    - - Altibase.jdbc.driver.cm.CmPrepareResult

    public class CmPrepareResult
    extends CmStatementIdResult

### Field Summary

Fields
`static byte` `MY_OP`
`static int` `STATEMENT_TYPE_CHECK_SEQUENCE`
`static int` `STATEMENT_TYPE_DB`
`static int` `STATEMENT_TYPE_DCL`
`static int` `STATEMENT_TYPE_DDL`
`static int` `STATEMENT_TYPE_DELETE`
`static int` `STATEMENT_TYPE_DEQUEUE`
`static int` `STATEMENT_TYPE_DML`
`static int` `STATEMENT_TYPE_EAP`
`static int` `STATEMENT_TYPE_ENQUEUE`
`static int` `STATEMENT_TYPE_FUNCTION`
`static int` `STATEMENT_TYPE_INSERT`
`static int` `STATEMENT_TYPE_LOCK_TABLE`
`static int` `STATEMENT_TYPE_MOVE`
`static int` `STATEMENT_TYPE_PROCEDURE`
`static int` `STATEMENT_TYPE_SELECT`
`static int` `STATEMENT_TYPE_SELECT_FOR_FIXED_TABLE`
`static int` `STATEMENT_TYPE_SELECT_FOR_UPDATE`
`static int` `STATEMENT_TYPE_SP`
`static int` `STATEMENT_TYPE_UPDATE`

### Constructor Summary

Constructors
Constructor and Description
`CmPrepareResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getParameterCount()`
`int` `getResultSetCount()`
`int` `getStatementType()`
`boolean` `isDataArrived()`
`boolean` `isDequeueStatement()`
`boolean` `isInsertStatement()`
`boolean` `isSelectStatement()`
`boolean` `isStoredProcedureStatement()`
`void` `setDataArrived(boolean aNewValue)`
`void` `setParameterCount(int aParameterCount)`
`void` `setResultSetCount(int aResultSetCount)`
`void` `setStatementType(int aStatementType)`
`java.lang.String` `toString()`

### Methods inherited from class Altibase.jdbc.driver.cm.CmStatementIdResult

`getStatementId, setStatementId`

### Methods inherited from class Altibase.jdbc.driver.cm.CmResult

`getError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MY_OP

    public static final byte MY_OP

See Also:
  Constant Field Values

#### STATEMENT_TYPE_DDL

    public static final int STATEMENT_TYPE_DDL

See Also:
  Constant Field Values

#### STATEMENT_TYPE_DML

    public static final int STATEMENT_TYPE_DML

See Also:
  Constant Field Values

#### STATEMENT_TYPE_DCL

    public static final int STATEMENT_TYPE_DCL

See Also:
  Constant Field Values

#### STATEMENT_TYPE_EAP

    public static final int STATEMENT_TYPE_EAP

See Also:
  Constant Field Values

#### STATEMENT_TYPE_SP

    public static final int STATEMENT_TYPE_SP

See Also:
  Constant Field Values

#### STATEMENT_TYPE_DB

    public static final int STATEMENT_TYPE_DB

See Also:
  Constant Field Values

#### STATEMENT_TYPE_SELECT

    public static final int STATEMENT_TYPE_SELECT

See Also:
  Constant Field Values

#### STATEMENT_TYPE_LOCK_TABLE

    public static final int STATEMENT_TYPE_LOCK_TABLE

See Also:
  Constant Field Values

#### STATEMENT_TYPE_INSERT

    public static final int STATEMENT_TYPE_INSERT

See Also:
  Constant Field Values

#### STATEMENT_TYPE_UPDATE

    public static final int STATEMENT_TYPE_UPDATE

See Also:
  Constant Field Values

#### STATEMENT_TYPE_DELETE

    public static final int STATEMENT_TYPE_DELETE

See Also:
  Constant Field Values

#### STATEMENT_TYPE_CHECK_SEQUENCE

    public static final int STATEMENT_TYPE_CHECK_SEQUENCE

See Also:
  Constant Field Values

#### STATEMENT_TYPE_MOVE

    public static final int STATEMENT_TYPE_MOVE

See Also:
  Constant Field Values

#### STATEMENT_TYPE_ENQUEUE

    public static final int STATEMENT_TYPE_ENQUEUE

See Also:
  Constant Field Values

#### STATEMENT_TYPE_DEQUEUE

    public static final int STATEMENT_TYPE_DEQUEUE

See Also:
  Constant Field Values

#### STATEMENT_TYPE_SELECT_FOR_UPDATE

    public static final int STATEMENT_TYPE_SELECT_FOR_UPDATE

See Also:
  Constant Field Values

#### STATEMENT_TYPE_SELECT_FOR_FIXED_TABLE

    public static final int STATEMENT_TYPE_SELECT_FOR_FIXED_TABLE

See Also:
  Constant Field Values

#### STATEMENT_TYPE_FUNCTION

    public static final int STATEMENT_TYPE_FUNCTION

See Also:
  Constant Field Values

#### STATEMENT_TYPE_PROCEDURE

    public static final int STATEMENT_TYPE_PROCEDURE

See Also:
  Constant Field Values

### Constructor Detail

#### CmPrepareResult

    public CmPrepareResult()

### Method Detail

#### getStatementType

    public int getStatementType()

#### getParameterCount

    public int getParameterCount()

#### getResultSetCount

    public int getResultSetCount()

#### isSelectStatement

    public boolean isSelectStatement()

#### isStoredProcedureStatement

    public boolean isStoredProcedureStatement()

#### isDequeueStatement

    public boolean isDequeueStatement()

#### isInsertStatement

    public boolean isInsertStatement()

#### setStatementType

    public void setStatementType(int aStatementType)

#### setParameterCount

    public void setParameterCount(int aParameterCount)

#### setResultSetCount

    public void setResultSetCount(int aResultSetCount)

#### isDataArrived

    public boolean isDataArrived()

#### setDataArrived

    public void setDataArrived(boolean aNewValue)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`